Bug 123980 - HELP: Error on explanation for WORKDAY()
Summary: HELP: Error on explanation for WORKDAY()
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.2.1.2 release
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Help-Changes-Features
  Show dependency treegraph
 
Reported: 2019-03-10 17:18 UTC by m.a.riosv
Modified: 2019-08-19 10:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2019-03-10 17:18:29 UTC
Description:
https://help.libreoffice.org/6.2/en-US/text/scalc/01/func_workday.intl.html?&DbPAR=CALC&System=WIN
StartDate is the date from when the calculation is carried out. If the start date is a workday, the day is included in the calculation.

The sentence " If the start date is a workday, the day is included in the calculation." it's not so.

The function admit negative values, so the same day is given with zero, a 1 value gives the next working date. I think as it is expected.

Steps to Reproduce:
The sentence " If the start date is a workday, the day is included in the calculation."

Actual Results:
.

Expected Results:
No sentence.


Reproducible: Always


User Profile Reset: No



Additional Info:
Should be deleted.
Comment 1 AOL Tech Support 2019-03-17 08:56:04 UTC Comment hidden (spam)
Comment 2 Xisco Faulí 2019-04-17 15:29:44 UTC
Moving to NEW
Comment 3 Olivier Hallot 2019-08-15 22:04:36 UTC
Patch submitted.

Not sure if this is a bug, but when Days=0, the function returns always the StartDate, even if StarDate is in a week-end.
Comment 4 Commit Notification 2019-08-18 22:22:00 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/87ce3991074ddd4c16e6b9568afa7d960725ef35%5E%21

tdf#123980 Review WORKDAYS function family